/*
 * Copyright (C) 2012  Mingye Cheng <Cheng, Mingye at GMAIL>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * References:
 * 	http://docs.jboss.org/hibernate/annotations/3.5/reference/en/html/entity.html
 * 		2.2.1. Marking a POJO as persistent entity
 * 		2.2.2.1. Declaring basic property mappings
 * 		2.2.3. Mapping identifier properties
 * 		2.2.4.4. Inherit properties from superclasses
 * 
 * Libraries:
 * 	hibernate-jpa-X.X-api-X.X.X.Final.jar
 */
package com.iiiss.ssh.impl.entities;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;

import com.iiiss.ssh.core.entities.BaseEntity;

@MappedSuperclass
public class BaseEntityImpl implements BaseEntity {

	@Id
	@GeneratedValue
	private Long id;

	public Long getId() {
		return id;
	}

}
